Subject: [IPFIX] I-D Action: draft-ietf-ipfix-mib-variable-export-04.txt

From: [email-masked]
Date: Fri, 14 Feb 2014 15:13:14 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the IP Flow Information Export Working Group of the IETF.

        Title           : Exporting MIB Variables using the IPFIX Protocol
        Authors         : Paul Aitken
                          Benoit Claise
                          Colin McDowall
                          Juergen Schoenwaelder
	Filename        : draft-ietf-ipfix-mib-variable-export-04.txt
	Pages           : 64
	Date            : 2014-02-14

Abstract:
   This document specifies a way to complement IPFIX Data Records with
   Management Information Base (MIB) objects, avoiding the need to
   define new IPFIX Information Elements for existing Management
   Information Base objects that are already fully specified.

   An IPFIX Option Template and method are specified, which are used to
   export the extra information required to fully describe Simple
   Network Management Protocol (SNMP) MIB Objects.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-ipfix-mib-variable-export/

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-ipfix-mib-variable-export-04

A diff from the previous version is available at:
http://www.ietf.org/rfcdiff?url2=draft-ietf-ipfix-mib-variable-export-04

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Colin McDowall <[email-masked]>
Date: Fri, 14 Feb 2014 23:33:59 +0000

Hi All,

This is the latest version of the IPFIX MIB Export Draft based on the excellent
feedback from the previous version. Thanks to all the reviewers.

Several of the clear mistakes found in the reviews are resolved.

The major change in this version is that the mibObjectValue IE has been expanded
to multiple IEs based on the SYNTAX as documented in the SMIv2 RFC.

Also since the way the previous document described indexing was confusing and didn't
match the MIB RFCs that has been rewritten to refer to  exporting Sequences.

Individual MIB Objects that are part of a sequence are now refered to as columnar objects.

There might still be some scope for simplifying sequence export down further.

There is also a new template defined to refer to exporting complete SEQUENCES
as an option export. This should make exporting a simple IPFIX export of a complete
MIB Sequence/Conceptual table much simpler.

I'll be starting discussions on the mailer next week for some of the remaining
points.

Thanks,
colin

On 14/02/2014 23:13, [email-masked] wrote:
> _______________________________________________
> IPFIX mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ipfix
>

---

From: Nevil Brownlee <[email-masked]>
Date: Mon, 24 Feb 2014 12:38:36 +1300

Hi all:

Colin published this version back on 15 February; seems to me it
answers many of the issues raised by the MIB Variables draft back
at the Vancouver meeting.  However, Colin points out in its Introduction
(and below) that it still has many points that need discussion.

Please - especially if you're closely familiar with SNMP - take a
little time to read this version, and send your comments/suggestions
for improvements to the list.

Cheers, Nevil

-- 
---------------------------------------------------------------------
  Nevil Brownlee                          Computer Science Department
  Phone: +64 9 373 7599 x88941             The University of Auckland
  FAX: +64 9 373 7453   Private Bag 92019, Auckland 1142, New Zealand